Subject: Re: bug#13949: 24.4.1; `fill-paragraph' should not always put the buffer as modified

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Mar 2016 21:17:19 +0300

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 28 Mar 2016 19:45:37 +0200
> 
> > You've heard here that some people think the current behavior is
> > correct, so we should expect users to ask "how do I get the old
> > behavior back?"  We should have an answer for that.
> 
> Oh, I think I missed that.  I thought they were only being confused
> about how cryptographic hashes worked?  There were somebody who really
> wanted the "`M-q' didn't change anything, but I still want Emacs to say
> that the buffer was changed" behaviour back?
> 
> In that case, I can add a variable for sure, but is that really the
> case?  :-)

That's my understanding.  And in any case, a change such as this one
shouldn't be without a fire escape.